Bug 182156 - org.netbeans.modules.editor.settings.storage.ProfilesTracker.rebuild() holds a lock for too long
org.netbeans.modules.editor.settings.storage.ProfilesTracker.rebuild() holds ...
Status: RESOLVED WORKSFORME
Product: editor
Classification: Unclassified
Component: Settings
6.x
All All
: P3 (vote)
: 7.0
Assigned To: David Strupl
issues@editor
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-16 19:44 UTC by esmithbss
Modified: 2010-10-12 12:28 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (256.00 KB, application/nps)
2010-03-16 19:44 UTC, esmithbss
Details

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2010-03-16 19:44:44 UTC
Build: NetBeans IDE Dev (Build 201003160201)
VM: Java HotSpot(TM) Client VM, 16.0-b13, Java(TM) SE Runtime Environment, 1.6.0_18-b07
OS: Linux

User Comments:
GUEST: Changed my preferences to fold import statements by default

esmithbss: Saving updates to the NetBeans Options and Preferences

GUEST: Saving a style



Maximum slowness yet reported was 21627 ms, average is 7921
Comment 1 esmithbss 2010-03-16 19:44:50 UTC
Created attachment 95262 [details]
nps snapshot
Comment 2 esmithbss 2010-03-17 14:42:19 UTC
Is it possible to do something on a relaunch of the IDE.

Something that could "verify" the existance of the paths and configurations within the cache, then report the issues and recommended fixes.

Note:  This is not a deep dive into the cache to re-verify everything.  A path check or test which is rather fast should suffice.
Comment 3 esmithbss 2010-03-17 14:46:57 UTC
Ignore last comment.  It was for a different bug.
Comment 4 David Strupl 2010-10-12 12:28:53 UTC
Lot of time in the snapshots is eaten by inefficient mime recognition which was fixed by Vita some time ago. As there are no newer reports I am closing this one as works for me. Let's wait if there are some newer reports with similar problem otherwise I think that can remain closed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo